using UnityEngine;

public class AdvancedLookAtIK : MonoBehaviour
{
    private Animator animator;

    public Transform cameraTransform;

    [Range(0.0f, 1.0f)]
    public float globalLookAtWeight = 1.0f;

    [Range(0.0f, 1.0f)]
    public float eyesLookAtWeight = 1.0f;

    [Range(0.0f, 1.0f)]
    public float headLookAtWeight = 0.8f;

    [Range(0.0f, 1.0f)]
    public float bodyLookAtWeight = 0.5f;

    void Start()
    {
        if (animator == null)
        {
            animator = GetComponent<Animator>();
        }
    }

    void OnAnimatorIK(int layerIndex)
    {
        if (animator)
        {
            animator.SetLookAtWeight(globalLookAtWeight, bodyLookAtWeight, headLookAtWeight, eyesLookAtWeight, 0.5f);
            animator.SetLookAtPosition(cameraTransform.position);
        }
    }
}
